Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 20:13:17 +0300

> Date: Sun, 18 Apr 2021 17:02:35 +0000
> From: Gregory Heytings <[email-masked]>
> Cc: Michael Welsh Duggan <[email-masked]>, [email-masked],
>  [email-masked], Stefan Kangas <[email-masked]>,
>  [email-masked]
> 
> > I think, perhaps, introducing a new visible bell (across all significant 
> > system), that's considerably less intrusive than the ones we have today 
> > on GNU/Linux and Macos, might be an option.  And then defaulting to 
> > using that.
> >
> > Gregory suggested blinking the cursor in a different colour -- perhaps?
> >
> 
> I attach a POC of what I have in mind.

If this is being proposed as the default setting, then we should have
a different default for TTY frames, because AFAIR cursor color cannot
be changed there, right?

>   (sit-for 0.5)

I think half a second is too long, a bell should be much shorter, like
0.1 sec or something.